User Tools

Site Tools


computing:environments:poppy

Poppy

This section is about the Poppy robots, especially the Poppy Ergo Jr.

The goal is to pilot a Poppy Ergo Jr with a smartphone using the Atlas toolkit.

Installation of the Python library : pip install poppy-ergo-jr.

On the Raspberry Pi Zero the installation for Python 2 failed due to a memory error (probably not enough memory) during the installation(/compilation) of the scipy module.
For the Python 2 installation, you have to explicitly install the wheel package, and also following OS packages: libfreetype6-dev libpng-dev pkg-config.
For the Python 3 installation, you may have to install the libatlas-base-dev OS package (not a Python package to install through pip), even if the installation seems to succeed. You have then to relaunch the installation.
computing/environments/poppy.txt · Last modified: Thu Jan 17 05:58:43 2019 (17/01/19) by Claude SIMON